#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: kan-extensions
version: 5.2
id: kan-extensions-5.2-BOXKEWU26vA2bRY8KCOH0y
key: kan-extensions-5.2-BOXKEWU26vA2bRY8KCOH0y
license: BSD-3-Clause
copyright: Copyright (C) 2008-2016 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
author: Edward A. Kmett
stability: provisional
homepage: http://github.com/ekmett/kan-extensions/
synopsis: Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads
description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.
category: Data Structures, Monads, Comonads, Functors
abi: 99d6a97399f8411a4b3f00281a2a2e99
exposed: True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda
import-dirs: /usr/lib/ghc-8.4.3/site-local/kan-extensions-5.2
library-dirs: /usr/lib/ghc-8.4.3/site-local/kan-extensions-5.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/kan-extensions-5.2
hs-libraries: HSkan-extensions-5.2-BOXKEWU26vA2bRY8KCOH0y
includes:
    kan-extensions-common.h
depends:
    adjunctions-4.4-HxVOHKIghl63XZ0e7SldUl array-0.5.2.0 base-4.11.1.0
    comonad-5.0.4-AlTWAo2RaIa74n74OXzIDi containers-0.5.11.0
    contravariant-1.5-5VBqEYOPGpyDW8QIali4BA
    distributive-0.6-2wCw6zO1DvVL7jE4BxyMnl
    free-5.1-Hoizk57lazaJAw0XpanhFG
    invariant-0.5.1-KMPUvFVrxAcDvTGOzR3Pcv mtl-2.2.2
    profunctors-5.3-59hhrIevb67J2lrb3Q0qOa
    semigroupoids-5.3.1-5yqExbNHNs5HvmpD7pxLfb
    tagged-0.8.6-8akQ1aZG2N2GFJpoB5eGXO transformers-0.5.5.0
    transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W
abi-depends: adjunctions-4.4-HxVOHKIghl63XZ0e7SldUl=ab3556867c815222b9f5b593eb6fcf06
             array-0.5.2.0=001d57bac323829c35f5e9edd158c1ef
             base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             comonad-5.0.4-AlTWAo2RaIa74n74OXzIDi=f5a16a1da23b216711108700f0088c38
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             contravariant-1.5-5VBqEYOPGpyDW8QIali4BA=e9f0d327bd08c2672bd55840cd3b39db
             distributive-0.6-2wCw6zO1DvVL7jE4BxyMnl=91a4ff087781ebd547d072b5e5fe83b8
             free-5.1-Hoizk57lazaJAw0XpanhFG=130c4399a6517a8288420cf2d464796f
             invariant-0.5.1-KMPUvFVrxAcDvTGOzR3Pcv=59c70fbccb1279242089304c84675079
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             profunctors-5.3-59hhrIevb67J2lrb3Q0qOa=d604d65ea2c1e793818b8e5c8aaa107e
             semigroupoids-5.3.1-5yqExbNHNs5HvmpD7pxLfb=1e26706ac3e6c4ab8467a720a672b919
             tagged-0.8.6-8akQ1aZG2N2GFJpoB5eGXO=4bf567357cce5e796341c1faefad6985
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W=197a030c492741542d6f49bc76370bb8
haddock-interfaces: /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock
haddock-html: /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

